Bug 147509 - You can't insert a column after selected if the Jumbo feature is enabled
Summary: You can't insert a column after selected if the Jumbo feature is enabled
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.8.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks: Calc-large-spreadsheets
  Show dependency treegraph
 
Reported: 2022-02-18 10:25 UTC by Roman Kuznetsov
Modified: 2022-02-22 10:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2022-02-18 10:25:23 UTC
Description:
You can't insert a column after selected if the Jumbo feature is enabled

Steps to Reproduce:
1. Make sure you have enabled Jumbo sheet feature
2. Create a new Calc spreadhseet
3. Type 1111 into A1 cell
4. Type 2222 into B1 cell
5. Select A column
6. Try insert a column after selected => it happens nothing

Actual Results:
You can't insert a column after selected if the Jumbo feature is enabled

Expected Results:
You can insert a column after selected if the Jumbo feature is enabled
In our example 2222 should be move to C1 cell


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c856f9bec12d98ed49f01578ded79f16ae7be051
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL

It seems as regression
Comment 1 Roman Kuznetsov 2022-02-18 10:27:30 UTC
I checked this case with disabled Jumbo sheets feature => it works as expected
Comment 2 Aron Budea 2022-02-18 14:11:03 UTC
Confirmed using LO Version: 7.4.0.0.alpha0+ (2f0c26dc83448a934af5383f9f6b7a607c334744) / Ubuntu, with Jumbo sheets enabled.
Also confirmed in latest of 7.1 bibisect repo. Probably not a regression, and it never worked with Jumbo sheets.
Comment 3 Commit Notification 2022-02-19 11:44:16 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/725e1066cbe3bbd6759b3e7396bc5d0ecb55a504

remove MAXCOL/MAXROW from ScAddress/ScRange (tdf#147509)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Roman Kuznetsov 2022-02-21 21:43:00 UTC
verified in


Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: b438854a0b5148880e455cbeeff14d4e3d825711
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL Jumbo

thanks for fixing, Luboš !
Comment 5 Commit Notification 2022-02-22 10:07:36 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9b341bc420f85f06769db13791efab3d115c770b

tdf#147509: sc_jumbosheets: Add unittest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.